List Entries
List entries for a catalog type.
GET
List Entries
Documentation Index
Fetch the complete documentation index at: https://docs.incident.io/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API key from your incident.io dashboard (Settings → API keys)
Query Parameters
ID of this catalog type
Example:
"01FCNDV6P870EA6S7TK1DSYDG0"
The integer number of records to return
Required range:
x <= 250Example:
25
An record's ID. This endpoint will return a list of records after this ID in relation to the API response order.
Example:
"01FDAG4SAP5TYPT98WGR2N7W91"
If specified, only entries with this identifier will be returned. This will search by ID, external ID, and aliases.
If 'use name as identifier' is enabled for the catalog type, this will also match on name.
Example:
"abc123"
Response
200 - application/json
OK response.
Example:
[
{
"aliases": ["lawrence@incident.io", "lawrence"],
"archived_at": "2021-08-17T14:28:57.801578Z",
"attribute_values": {
"abc123": {
"array_value": [
{
"label": "Lawrence Jones",
"literal": "SEV123"
}
],
"value": {
"label": "Lawrence Jones",
"literal": "SEV123"
}
}
},
"catalog_type_id": "01FCNDV6P870EA6S7TK1DSYDG0",
"created_at": "2021-08-17T13:28:57.801578Z",
"external_id": "761722cd-d1d7-477b-ac7e-90f9e079dc33",
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Primary On-call",
"rank": 3,
"updated_at": "2021-08-17T13:28:57.801578Z"
}
]Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25,
"total_record_count": 238
}List Entries